Package io.axoniq.dataprotection.cryptoengine.jpa

## Class DefaultKeyEntity

- java.lang.Object
- - io.axoniq.dataprotection.cryptoengine.jpa.DefaultKeyEntity

- All Implemented Interfaces:
    `KeyEntity`

      @Entity
      public class DefaultKeyEntity
      extends Object
      implements KeyEntity

  Default implementation of `KeyEntity`. This is a JPA `Entity` with a `Table` annotation mapping it to a table named `axoniq_gdpr_keys`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DefaultKeyEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getKeyId()` | Read accessor to the `keyId`.
    `String` | `getSecretKeyBase64()` | Read accessor to `secretKeyBase64`.
    `void` | `setKeyId​(String keyId)` | Write accessor to the `keyId`.
    `void` | `setSecretKeyBase64​(String secretKeyBase64)` | Write accessor to `secretKeyBase64`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultKeyEntity

          protected DefaultKeyEntity()

  - ### Method Detail

    - #### getKeyId

          public String getKeyId()

      Read accessor to the `keyId`. This is the primary key of the entity. Has a `Id` annotation identifying it as primary key and a `Column` annotation mapping it to a column named `key_id`
      Specified by:
        `getKeyId` in interface `KeyEntity`
      Returns:
        the current value

    - #### setKeyId

          public void setKeyId​(String keyId)

      Description copied from interface: `KeyEntity`
      Write accessor to the `keyId`. This is the primary key of the entity.
      Specified by:
        `setKeyId` in interface `KeyEntity`
      Parameters:
        `keyId` - the new value

    - #### getSecretKeyBase64

          public String getSecretKeyBase64()

      Read accessor to `secretKeyBase64`. This is a representation of the secret key bytes in Base64-form. Has a `Column` annotation mapping it to a column named `secret_key`
      Specified by:
        `getSecretKeyBase64` in interface `KeyEntity`
      Returns:
        the current value

    - #### setSecretKeyBase64

          public void setSecretKeyBase64​(String secretKeyBase64)

      Description copied from interface: `KeyEntity`
      Write accessor to `secretKeyBase64`. This is a representation of the secret key bytes in Base64-form.
      Specified by:
        `setSecretKeyBase64` in interface `KeyEntity`
      Parameters:
        `secretKeyBase64` - the new value